> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get versions of a Registered Model (V2)

> Get versions of a Registered Model with optional experiment run ID



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/registeredmodels/v2/{modelName}/versions
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/registeredmodels/v2/{modelName}/versions:
    get:
      tags:
        - Registered models
      summary: Get versions of a Registered Model (V2)
      description: Get versions of a Registered Model with optional experiment run ID
      operationId: getRegisteredModelVersionsV2
      parameters:
        - description: Registered model name
          in: path
          name: modelName
          required: true
          schema:
            type: string
        - description: Filter to only return deployable model versions. Defaults to false.
          in: query
          name: deployable
          required: false
          schema:
            default: false
            type: boolean
        - description: Offset for pagination from the start to skip. Defaults to 0.
          in: query
          name: offset
          required: false
          schema:
            default: 0
            type: integer
        - description: Max number of model versions to fetch. Defaults to 20.
          in: query
          name: limit
          required: false
          schema:
            default: 20
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedRegisteredModelVersionOverviewEnvelopeV2
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    PaginatedRegisteredModelVersionOverviewEnvelopeV2:
      properties:
        items:
          items:
            $ref: '#/components/schemas/RegisteredModelVersionOverviewV2'
          type: array
        metadata:
          $ref: '#/components/schemas/PaginatedMetadataV1'
      required:
        - items
        - metadata
      type: object
    RegisteredModelVersionOverviewV2:
      properties:
        createdAt:
          description: When the latest version of the model was created
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        experimentRunId:
          description: Optional experiment run ID linked to the model version
          example: db79712b47084c27a463a188bf901943
          nullable: true
          type: string
        modelName:
          description: Name of the registered model
          example: churn-prediction
          type: string
        modelVersion:
          description: The latest version of the model
          example: 4
          type: integer
        ownerUsername:
          description: username of the project owner
          example: martin_hito
          type: string
        project:
          $ref: '#/components/schemas/RegisteredModelProjectSummaryV1'
        updatedAt:
          description: When the latest version of the model was updated
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
      required:
        - modelName
        - modelVersion
        - project
        - ownerUsername
        - createdAt
        - updatedAt
      type: object
    PaginatedMetadataV1:
      allOf:
        - $ref: '#/components/schemas/MetadataV1'
        - $ref: '#/components/schemas/PaginationV1'
      required:
        - pagination
        - requestId
        - notices
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
    RegisteredModelProjectSummaryV1:
      description: type that tracks properties of the project associated with a model
      properties:
        id:
          description: ID of the project housing the model
          example: 62313ce67a0af0281c01a6a5
          type: string
        isGitBasedProject:
          description: Whether the project is a git-based project
          type: boolean
        name:
          description: Name of the project overview housing the model
          example: TO-DO
          type: string
        ownerUsername:
          description: Name of the project owner
          example: TO-DO
          type: string
      required:
        - id
        - name
        - ownerUsername
        - isGitBasedProject
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    PaginationV1:
      properties:
        limit:
          description: Max number of objects returned
          type: integer
        offset:
          description: Number of object skipped forward from start of objects
          type: integer
        totalCount:
          description: Total number of available objects
          type: integer
      required:
        - offset
        - limit
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Get a specific version of a Registered Model (V2)](/6.3/api-reference/registered-models/get-a-specific-version-of-a-registered-model-v2.md)
- [Get Registered Models visible to user (v2)](/6.3/api-reference/registered-models/get-registered-models-visible-to-user-v2-1.md)
- [[DEPRECATED] Create a new version of a Registered Model](/6.3/api-reference/registered-models/[deprecated]-create-a-new-version-of-a-registered-model.md)
- [Get a specific version of a Registered Model](/6.3/api-reference/registered-models/get-a-specific-version-of-a-registered-model.md)
